<template>    
    <div class="border-l-4 p-4 mt-5" :class="{'bg-yellow-50 border-yellow-400': isWarning, 'bg-green-50 border-green-400': isSuccess}">
        <div class="flex">
            <div class="flex-shrink-0">
                <ExclamationIcon v-if='isWarning' class="h-5 w-5 text-yellow-400" aria-hidden="true" />
                <CheckCircleIcon v-if='isSuccess' class="h-5 w-5 text-green-400" aria-hidden="true" />
            </div>
            <div class="ml-3">
                <p class="text-sm" :class="{'text-yellow-600': isWarning, 'text-green-700': isSuccess}">
                    <slot></slot>
                </p>
            </div>
        </div>
    </div>
</template>

<script>
import { ExclamationIcon, CheckCircleIcon } from '@heroicons/vue/solid'

export default {
    name: 'Alert',
    props: {
        type: String,
    },
    components: {
        ExclamationIcon,
        CheckCircleIcon
    },
    computed: {
        isSuccess() {
            return this.type == 'success';
        },
        isWarning() {
            return this.type == 'warning';
        }
    }
}
</script>